Bug 211885 - Use enum serialization instead of casting to/from uint32_t
Summary: Use enum serialization instead of casting to/from uint32_t
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alex Christensen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-05-14 02:22 PDT by Alex Christensen
Modified: 2020-05-18 07:55 PDT (History)
24 users (show)

See Also:


Attachments
Patch (227.74 KB, patch)
2020-05-14 02:27 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (228.27 KB, patch)
2020-05-14 02:30 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (228.62 KB, patch)
2020-05-14 09:30 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (231.41 KB, patch)
2020-05-14 10:27 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (230.74 KB, patch)
2020-05-14 11:23 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (233.68 KB, patch)
2020-05-14 13:55 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff
Patch (224.81 KB, patch)
2020-05-15 20:09 PDT, Alex Christensen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Christensen 2020-05-14 02:22:38 PDT
Use enum serialization instead of casting to/from uint32_t
Comment 1 Alex Christensen 2020-05-14 02:27:20 PDT
Created attachment 399343 [details]
Patch
Comment 2 Alex Christensen 2020-05-14 02:30:55 PDT
Created attachment 399345 [details]
Patch
Comment 3 Alex Christensen 2020-05-14 09:30:59 PDT
Created attachment 399370 [details]
Patch
Comment 4 Alex Christensen 2020-05-14 10:27:22 PDT
Created attachment 399377 [details]
Patch
Comment 5 Alex Christensen 2020-05-14 11:23:05 PDT
Created attachment 399380 [details]
Patch
Comment 6 Alex Christensen 2020-05-14 13:55:17 PDT
Created attachment 399405 [details]
Patch
Comment 7 Geoffrey Garen 2020-05-14 14:55:05 PDT
Comment on attachment 399405 [details]
Patch

r=me
Comment 8 Alex Christensen 2020-05-14 15:57:47 PDT
That test failure looks suspicious.  Will fix before landing.
Comment 9 Alex Christensen 2020-05-15 20:02:41 PDT
Comment on attachment 399405 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=399405&action=review

> Source/WebCore/page/DOMSelection.cpp:-272
> -    else if (equalLettersIgnoringASCIICase(granularityString, "sentenceboundary"))

This was changed by find/replace by mistake.

> Source/WebKit/WebProcess/WebPage/mac/WebPageMac.mm:781
> +    return WebGLLoadPolicy::WebGLAllowCreation;

This should be policyResult
Comment 10 Alex Christensen 2020-05-15 20:09:59 PDT
Created attachment 399540 [details]
Patch
Comment 11 EWS 2020-05-15 20:46:03 PDT
Committed r261776: <https://trac.webkit.org/changeset/261776>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 399540 [details].
Comment 12 Radar WebKit Bug Importer 2020-05-15 20:47:16 PDT
<rdar://problem/63299590>
Comment 13 Philippe Normand 2020-05-17 10:35:17 PDT
This broke test-webkitpy on most (if not all) platforms:
https://build.webkit.org/builders/Apple%20Mojave%20Release%20WK2%20%28Tests%29/builds/13074/steps/webkitpy-test/logs/stdio

  Traceback (most recent call last):
    File "/Volumes/Data/slave/mojave-release-tests-wk2/build/Source/WebKit/Scripts/webkit/messages_unittest.py", line 335, in test_receiver
      self.check_message(message, _expected_results['messages'][index])
    File "/Volumes/Data/slave/mojave-release-tests-wk2/build/Source/WebKit/Scripts/webkit/messages_unittest.py", line 310, in check_message
      self.assertEquals(len(message.parameters), len(expected_message['parameters']))
  AssertionError: 2 != 1
Comment 14 Philippe Normand 2020-05-17 10:49:39 PDT
message.parameters: [<webkit.model.Parameter object at 0x7f1c2472c550>, <webkit.model.Parameter object at 0x7f1c2472c590>]
expected_message['parameters']: (('IPC::MachPort', 'connectionIdentifier'),)
Comment 15 Truitt Savell 2020-05-18 07:48:17 PDT
(In reply to Philippe Normand from comment #13)
> This broke test-webkitpy on most (if not all) platforms:
> https://build.webkit.org/builders/
> Apple%20Mojave%20Release%20WK2%20%28Tests%29/builds/13074/steps/webkitpy-
> test/logs/stdio
> 
>   Traceback (most recent call last):
>     File
> "/Volumes/Data/slave/mojave-release-tests-wk2/build/Source/WebKit/Scripts/
> webkit/messages_unittest.py", line 335, in test_receiver
>       self.check_message(message, _expected_results['messages'][index])
>     File
> "/Volumes/Data/slave/mojave-release-tests-wk2/build/Source/WebKit/Scripts/
> webkit/messages_unittest.py", line 310, in check_message
>       self.assertEquals(len(message.parameters),
> len(expected_message['parameters']))
>   AssertionError: 2 != 1

Filed https://bugs.webkit.org/show_bug.cgi?id=212025 for this
Comment 16 Lauro Moura 2020-05-18 07:55:05 PDT
(In reply to Truitt Savell from comment #15)
> (In reply to Philippe Normand from comment #13)
> > This broke test-webkitpy on most (if not all) platforms:
> > https://build.webkit.org/builders/
> > Apple%20Mojave%20Release%20WK2%20%28Tests%29/builds/13074/steps/webkitpy-
> > test/logs/stdio
> > 
> >   Traceback (most recent call last):
> >     File
> > "/Volumes/Data/slave/mojave-release-tests-wk2/build/Source/WebKit/Scripts/
> > webkit/messages_unittest.py", line 335, in test_receiver
> >       self.check_message(message, _expected_results['messages'][index])
> >     File
> > "/Volumes/Data/slave/mojave-release-tests-wk2/build/Source/WebKit/Scripts/
> > webkit/messages_unittest.py", line 310, in check_message
> >       self.assertEquals(len(message.parameters),
> > len(expected_message['parameters']))
> >   AssertionError: 2 != 1
> 
> Filed https://bugs.webkit.org/show_bug.cgi?id=212025 for this

I submitted a fix in bug212008. (Also added it to see-also here but did not comment, sorry).